package cn.pluss.platform.merchantRegistAuditRecord;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.MerchantRegistAuditRecord;

public interface MerchantRegistAuditRecordService {

    public MerchantRegistAuditRecord queryMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord);

    public List<MerchantRegistAuditRecord> queryMerchantRegistAuditRecordList(MerchantRegistAuditRecord merchantRegistAuditRecord);

    public void saveMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord);

    public void updateMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord);

    public void deleteMerchantRegistAuditRecord(MerchantRegistAuditRecord merchantRegistAuditRecord);

    public List<MerchantRegistAuditRecord> queryMerchantRegistAuditRecordPage(Map map);

    public Integer queryMerchantRegistAuditRecordPageCount(Map map);

    public void saveMerchantRegistAuditRecordBatch(List<MerchantRegistAuditRecord> merchantRegistAuditRecordList);
}

